%define upstream_name    Module-Build-Pluggable-PPPort
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate ppport.h
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Pluggable)
BuildRequires: perl(Test::Requires)
BuildArch: noarch

%description
Generate ppport.h automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes README META.json META.yml LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-2.mga6
+ Revision: 1029912
- Rebuild for perl 5.22.2

* Tue Mar 22 2016 shlomif <shlomif> 0.40.0-1.mga6
+ Revision: 993955
- Add missing BRs
- imported package perl-Module-Build-Pluggable-PPPort


* Thu Oct 23 2014 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
